package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

public class ATHROW extends Instruction implements UnconditionalBranch, ExceptionThrower
{
    public ATHROW() {
        super((short)191, (short)1);
    }
    
    @Override
    public void accept(final Visitor v) {
        v.visitUnconditionalBranch(this);
        v.visitExceptionThrower(this);
        v.visitATHROW(this);
    }
    
    @Override
    public Class<?>[] getExceptions() {
        return new Class[] { ExceptionConst.THROWABLE };
    }
}
